Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
[Groovy] Class MockThemeSource

    java.lang.Object
      org.codehaus.groovy.grails.web.taglib.MockThemeSource

All Implemented Interfaces:
  org.springframework.ui.context.ThemeSource

    class MockThemeSource
    extends java.lang.Object

Constructor Summary
`MockThemeSource(org.springframework.context.MessageSource messageSource)`

Method Summary
`org.springframework.ui.context.Theme` | `getTheme(java.lang.String themeName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MockThemeSource

    MockThemeSource(org.springframework.context.MessageSource messageSource)

Method Detail

### getTheme

    org.springframework.ui.context.Theme getTheme(java.lang.String themeName)

Groovy Documentation